import music_tag
import shutil
from io import BytesIO
from PIL import Image
import sys

try:
	f = music_tag.load_file(sys.argv[1])
	
	art = f['artwork']
	if art.first == None:
		shutil.copy('none.png','art.png')
	else:
		cover = Image.open(BytesIO(art.first.data))
		cover = cover.resize((220, 220), Image.LANCZOS)
		cover.save(f"art.png")
except:
	shutil.copy('none.png','art.png')
	pass
print("succeeded!")